Bug 427507 - Review Request: hunspell-bn - Bengali hunspell dictionaries
Review Request: hunspell-bn - Bengali hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 05:59 EST by Parag Nemade
Modified: 2008-01-07 02:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 02:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2008-01-04 05:59:22 EST
Spec URL: http://paragn.fedorapeople.org/hunspell/hunspell-bn.spec
SRPM URL: http://paragn.fedorapeople.org/hunspell/hunspell-bn-20050726-1.fc8.src.rpm
Description: Bengali hunspell dictionaries
Comment 1 Jason Tibbitts 2008-01-05 15:23:44 EST
rpmlint has one complaint:
  hunspell-bn.noarch: W: incoherent-version-in-changelog 1.0-1 20050726-1.fc9
Your changelog says 1.0-1 while the version is a bit different.

Also, you should include the Copyright file as %doc.

* source files match upstream:
   ad4f2133f7696a1d545572ab6724f2cc946a526025c6aeb84b67fdb2dd7b1bd5  
   bn-demo.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X rpmlint has a valid complaint.
* final provides and requires are sane:
   hunspell-bn = 20050726-1.fc9
  =
   hunspell
* %check is not present; no test suite upstream.  I don't know Bengali so I'm
  afraid I can't test this.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 3 Parag Nemade 2008-01-06 22:46:11 EST
tibbs,
  I am really sorry to make this bugzilla to needinfo on you. I thought may be
this got removed from your priority review radar list. and thought if you are
reviewed other packages then I thought better not to loose it and build it
together with other reviews.

  once again sorry to you.
Comment 4 Jason Tibbitts 2008-01-07 01:03:47 EST
No need to apologize; it's bugzilla that makes it difficult as anything set to
needinfo from me should show up at the very top of the bugzilla front page, not
down near the bottom.  I guess I should write up an enhancement request.

In any case, this package looks good now.

APPROVED
Comment 5 Parag Nemade 2008-01-07 01:11:04 EST
Thanks.
New Package CVS Request
=======================
Package Name: hunspell-bn
Short Description: Bengali hunspell dictionaries
Owners: pnemade
Branches: F-8
InitialCC:
Cvsextras Commits: yes

Comment 6 Jens Petersen 2008-01-07 01:17:50 EST
cvs admin done
Comment 7 Parag Nemade 2008-01-07 02:14:00 EST
Built for devel and F-8 successfully.
Thanks to tibbs and Jens.

Note You need to log in before you can comment on or make changes to this bug.